//搜尋身體空欄位(-1) 代表搜尋不到
int	 SearchBodyEmptyPos( );
int	 SearchBankEmptyPos( );

//找到地一個可堆疊的地方
int  SearchBodyFirstFit( const ItemFieldStruct *Item );

//收尋某物件ID所對應此物件仇恨表的位置
//如果之前沒在裡面 則找一個適合的位置
NPCHateStruct*		GetHatePos( int	ID , int DBID );